# Cutlass: cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > > Struct Template Reference

cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > > Struct Template Reference

`#include <convert.h>`

## Public Types

typedef Fragment< InputScalar_, kScalars_ > | InputFragment
| The input fragment. More...
typedef Fragment< OutputScalar_, kScalars_ > | OutputFragment
| The output fragment. More...

## Public Member Functions

CUTLASS_DEVICE | Convert ()
| Ctor. More...
CUTLASS_DEVICE void | transform (InputFragment const &src, OutputFragment &dst)
| Transform a fragment. More...
template<typename Fragment_ >
CUTLASS_DEVICE void | transform (Fragment_ const &src, int offset, OutputFragment &dst)
| Transform a fragment. More...

## Member Typedef Documentation

## InputFragment

template<typename InputScalar_ , typename OutputScalar_ , int kScalars_>

typedef Fragment<InputScalar_, kScalars_> cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > >::InputFragment

## OutputFragment

template<typename InputScalar_ , typename OutputScalar_ , int kScalars_>

typedef Fragment<OutputScalar_, kScalars_> cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > >::OutputFragment

## Constructor & Destructor Documentation

## Convert()

template<typename InputScalar_ , typename OutputScalar_ , int kScalars_>

CUTLASS_DEVICE cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > >::Convert | ( |  | ) |

inline

## Member Function Documentation

## transform() [1/2]

template<typename InputScalar_ , typename OutputScalar_ , int kScalars_>

CUTLASS_DEVICE void cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > >::transform | ( | InputFragment const & | src,
|  | OutputFragment & | dst
| ) |  |

inline

## transform() [2/2]

template<typename InputScalar_ , typename OutputScalar_ , int kScalars_>
template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::Convert< Fragment< InputScalar_, kScalars_ >, Fragment< OutputScalar_, kScalars_ > >::transform | ( | Fragment_ const & | src,
|  | int | offset,
|  | OutputFragment & | dst
| ) |  |

inline

The documentation for this struct was generated from the following file:

- convert.h